Bug ID 1042893: Preupgradecheck tool is unusable in a high availability (HA) setup configured with IPV6 addresses

Last Modified: Nov 07, 2022

Bug Tracker

Affected Product:  See more info
BIG-IQ Device(all modules)

Known Affected Versions:
7.1.0, 7.1.0.1, 7.1.0.2, 7.1.0.3, 7.1.6, 7.1.6.1, 7.1.7, 7.1.7.1, 7.1.7.2, 7.1.8, 7.1.8.1, 7.1.8.2, 7.1.8.3, 7.1.8.4, 7.1.8.5, 7.1.9, 7.1.9.7, 7.1.9.8, 7.1.9.9, 8.1.0, 8.1.0.1, 8.1.0.2

Opened: Aug 26, 2021
Severity: 3-Major

Symptoms

You will see an error as follows "ssh: connect to host xxxx port 22: Invalid argument"

Impact

You will not be able to run the preupgradecheck tool

Conditions

This issue surfaces while running the preupgradecheck tool under the following conditions a. you have setup a BIG-IQ in high availability (HA) configuration (primary / secondary devices) b. you have configured the network to use IPV6 addresses

Workaround

None.

Fix Information

None

Behavior Change